org.jboss.netty.handler.codec.replay

## Enum VoidEnum

- java.lang.Object
- - java.lang.Enum<VoidEnum>
  - - org.jboss.netty.handler.codec.replay.VoidEnum

All Implemented Interfaces:
  Serializable, Comparable<VoidEnum>

    public enum VoidEnum
    extends Enum<VoidEnum>

A placeholder `Enum` which could be specified as a type parameter of `ReplayingDecoder` when a user wants to manage the decoder state or there's no state to manage.

### Method Summary

Methods
`static VoidEnum` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VoidEnum[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### values

    public static VoidEnum[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VoidEnum c : VoidEnum.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VoidEnum valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null